[Unstable Update] 2018-03-25 - Gnome 3.28

unstable
update

#1

Hi community,

welcome to another unstable update of Manjaro. GNOME 3.28 is the latest version of GNOME 3, and is the result of 6 months’ hard work by the GNOME community. It contains major new features, as well as many smaller improvements and bug fixes.

One major new feature for this release is automatic downloading of operating systems in Boxes, which takes the work out of creating and running virtual machines – just pick the operating system that you want to create a virtual machine of, and Boxes will now download and install it for you.

Other highlights include improvements to the Calendar and Contacts applications, the ability to star files and folders in the Files application, and improved support for Thunderbolt 3 and Bluetooth LE devices. GNOME’s default UI font has also been overhauled to be more attractive and easy to read, and the on-screen keyboard has been rewritten to be more reliable and has layouts for a number of different locales.

There are many other improvements in GNOME 3.28, which can be read about in the release notes.

Our effort and all the needed information about the new security risk can be found here.

So please report back and give us feedback for given changes made to our repositories. Users of our 32-bit Distro should read this.


Current supported Kernels

  • linux316 3.16.56
  • linux318 3.18.101 [EOL]
  • linux41 4.1.50
  • linux44 4.4.123
  • linux49 4.9.89
  • linux414 4.14.29
  • linux415 4.15.12
  • linux416 4.16-rc6
  • linux-RT-LTS 4.14.28_rt23
  • linux-RT 4.14.28_rt23

Package Updates (Sun Mar 25 08:51:07 CEST 2018)

  • unstable core x86_64: 4 new and 4 removed package(s)
  • unstable extra x86_64: 152 new and 151 removed package(s)
  • unstable community x86_64: 36 new and 32 removed package(s)
:: Different sync package(s) in repository community x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2018-03-24           2018-03-25
-------------------------------------------------------------------------------
                      acpi_call-dkms            1.1.0-113            1.1.0-114
                             almanah             0.11.1-7             0.11.1-8
                               balsa              2.5.5-1              2.5.5-2
                      budgie-desktop   10.4+8+gff09a510-1   10.4+8+gff09a510-2
                       deepin-mutter            3.20.29-1            3.20.28-2
                           deepin-wm             1.9.24-1             1.9.23-2
                           duplicity             0.7.16-1             0.7.17-1
                              elixir              1.6.2-1              1.6.4-1
                       evolution-rss             0.3.95-3             0.3.95-4
                             glabels              3.4.0-7              3.4.0-8
                       gnome-applets             3.26.0-3             3.28.0-1
                         gnome-boxes             3.26.2-1             3.28.0-1
                     gnome-flashback             3.26.0-1 3.26.0+33+g78fd6a1-1
                         gnome-games             3.26.2-1             3.28.0-1
                 gnome-initial-setup             3.26.0-3             3.28.0-1
                  gnome-multi-writer             3.26.0-1             3.28.0-1
                         gnome-panel          3.26.0-2 3.26.0+135+g8779d8b39-1
                 gnome-phone-manager               0.69-9              0.69-10
                       gnome-recipes              2.0.2-1              2.0.2-2
                   gnome-screensaver             3.6.1-13             3.6.1-14
                      gnome-software             3.26.7-1             3.28.0-1
    gnome-software-packagekit-plugin             3.26.7-1             3.28.0-1
                gst-editing-services             1.12.4-1             1.14.0-1
                      gst-transcoder             1.12.2-1             1.14.0-1
                        gst-validate             1.12.4-1             1.14.0-1
                            latexila             3.26.1-1             3.26.1-2
                         libfaketime              0.9.6-2              0.9.7-1
                             libvirt              4.0.0-1              4.1.0-1
                            metacity             3.26.0-1             3.28.0-1
                                osmo              0.4.2-2              0.4.2-3
                           retro-gtk             0.12.1-1             0.14.0-1
                      ring-gnome 3:20180216.1.63fd90f-1 3:20180216.1.63fd90f-2
                         simple-scan             3.26.3-1             3.28.0-1
                                 tig              2.3.2-1              2.3.3-1
                                 tor            0.3.2.9-1           0.3.2.10-1
                            valabind              1.6.0-1              1.6.0-2
                                xwax                1.6-1                1.7-1
                        gnustep-base                    -             1.25.1-1
                        gnustep-make                    -              2.7.0-3
                          libmanette                    -              0.2.0-1
                          unarchiver                    -             1.10.1-2


:: Different sync package(s) in repository core x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2018-03-24           2018-03-25
-------------------------------------------------------------------------------
                                 gcc     7.3.1+20180312-1     7.3.1+20180312-2
                             gcc-ada     7.3.1+20180312-1     7.3.1+20180312-2
                         gcc-fortran     7.3.1+20180312-1     7.3.1+20180312-2
                              gcc-go     7.3.1+20180312-1     7.3.1+20180312-2
                            gcc-libs     7.3.1+20180312-1     7.3.1+20180312-2
                            gcc-objc     7.3.1+20180312-1     7.3.1+20180312-2
                               glib22.54.3+2+g94b38beff-12.56.0+7+g66948ae23-1
                          glib2-docs2.54.3+2+g94b38beff-12.56.0+7+g66948ae23-1
                      lib32-gcc-libs     7.3.1+20180312-1     7.3.1+20180312-2
                          libnghttp2             1.30.0-1             1.31.0-1
                      linux-firmware   20180119.2a713be-1   20180314.4c0bf11-1


:: Different overlay package(s) in repository extra x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2018-03-24           2018-03-25
-------------------------------------------------------------------------------
                         thunar-gtk3              1.7.1-1              1.7.1-2


:: Different sync package(s) in repository extra x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2018-03-24           2018-03-25
-------------------------------------------------------------------------------
                  adwaita-icon-theme             3.26.1-1             3.28.0-1
                           aisleriot             3.22.4-1             3.22.5-1
                              anjuta             3.26.0-1             3.28.0-1
                         at-spi2-atk             2.26.1-1             2.26.2-1
                        at-spi2-core             2.26.2-1             2.28.0-1
                                 atk             2.26.1-1             2.28.1-1
                                babl             0.1.38-1             0.1.44-2
                              baobab             3.26.1-1             3.28.0-1
                             bijiben             3.26.2-2             3.28.0-1
                               cairo         1.15.10-1 1.15.10+54+g1ed124ace-1
                             caribou  0.4.21+0+g36e3d0f-2 0.4.21+60+gec9041b-1
                              cheese             3.26.0-1             3.28.0-1
                               dconf             0.26.1-1             0.28.0-1
                        dconf-editor             3.26.2-1             3.28.0-1
                             devhelp             3.26.1-1 3.28.0+3+g3ab07e3c-1
                                 eog             3.26.2-1             3.28.0-1
                            epiphany          3.26.6-1 3.28.0.1+4+g051d4f616-1
                              evince 3.26.0+14+g2a499547-1            3.28.0-1
                           evolution           3.26.5-1 3.28.0+8+gf3e2c90d24-1
                evolution-bogofilter           3.26.5-1 3.28.0+8+gf3e2c90d24-1
               evolution-data-server            3.26.5-1 3.28.0+6+g501f51b1c-1
                       evolution-ews             3.26.5-1             3.28.0-1
              evolution-spamassassin           3.26.5-1 3.28.0+8+gf3e2c90d24-1
                         file-roller             3.26.2-1             3.28.0-1
                        five-or-more             3.26.0-1  3.28.0+2+gfabc580-1
                               folks            0.11.4-1 0.11.4+26+g2c992227-1
                          fontconfig  2.12.6+5+g665584a-1 2.13.0+10+g58f5285-1
                       four-in-a-row  3.22.2+5+g9021ef9-1  3.28.0+3+g52208eb-1
                                 gcr 3.20.0+55+g470bf4c-1             3.28.0-1
                         gdk-pixbuf2         2.36.11-1 2.36.11+70+g00e03a272-1
                                 gdl             3.26.0-1             3.28.0-1
                                 gdm           3.26.2.1-1             3.28.0-1
                               gedit3.22.1+1+gd21912e3e-1             3.28.0-2
                       gedit-plugins 3.22.0+71+g926f06c-1  3.28.0+1+g94f1400-1
                                gegl             0.3.26-2             0.3.28-1
                                 gjs           1:1.50.4-1           1:1.52.0-1
                               glade             3.20.4-1 3.22.0+9+g5ec4d708-1
                     glib-networking             2.54.1-1             2.56.0-1
                          gnome-2048             3.26.1-1  3.26.1+5+g24aa009-1
                   gnome-backgrounds             3.26.2-1             3.28.0-1
                     gnome-bluetooth  3.26.0+1+g3875844-1             3.28.0-1
                       gnome-builder            3.26.4-2 3.28.0+6+g7d35ffb07-2
                    gnome-calculator             3.26.0-3             3.28.0-1
                    gnome-calendar 3.26.3+2+g966ec1c5-1 3.28.0.1+2+geb41e059-1
                    gnome-characters             3.26.2-1             3.28.0-1
                         gnome-chess  3.26.0+4+gf6e1b13-1  3.28.0+6+g93fa6a2-1
                        gnome-clocks             3.26.1-1  3.28.0+1+gecbbce8-1
                 gnome-color-manager 3.26.0+16+g3b2109b-1             3.28.0-1
                      gnome-contacts    3.26+3+g643f622-1               3.28-2
                gnome-control-center 3.26.2+14+g5ac6a0da6-1           3.28.0-1
                       gnome-desktop           1:3.26.2-2           1:3.28.0-1
                    gnome-devel-docs             3.26.0-1             3.28.0-1
                  gnome-disk-utility             3.26.2-1             3.28.0-1
                     gnome-documents 3.26.2+2+gfa6dd4f5-1             3.28.0-1
                   gnome-font-viewer             3.26.0-1             3.28.0-1
          gnome-getting-started-docs             3.26.2-1             3.28.0-1
                       gnome-keyring 1:3.27.4+8+gff229abc-1       1:3.28.0.1-1
                       gnome-klotski  3.22.2+4+ga445c76-1  3.22.3+1+gf33083d-1
                          gnome-logs             3.26.3-1  3.28.0+1+gea3e78c-1
                          gnome-maps             3.26.2-1             3.28.0-1
                         gnome-mines  3.26.0+5+g7f5a1e5-1  3.28.0+3+g1a1f835-2
                         gnome-music             3.26.1-1         1:3.28.0.1-1
                       gnome-nibbles  3.24.0+1+g623d38e-1  3.24.0+5+g1c331f4-1
               gnome-online-accounts            3.26.2-1 3.27.92+3+gdde33649-1
                        gnome-photos           3.26.3-1 3.27.92+19+g20868a30-1
                        gnome-robots  3.22.2+3+ge5c72ee-1  3.22.3+2+g985e8e4-1
                       gnome-session             3.26.1-2             3.28.0-1
               gnome-settings-daemon             3.26.2-1 3.28.0+4+gef32315a-1
                         gnome-shell 3.26.2+14+g64c857e3f-1           3.28.0-1
              gnome-shell-extensions  3.26.2+9+g683b5ee-1  3.28.0+1+g496ae16-1
                        gnome-sudoku  3.26.0+6+g0ffe857-1  3.28.0+6+g46f2f85-1
                gnome-system-monitor 3.26.0+1+g97b9578d-1             3.28.0-1
                        gnome-taquin             3.26.1-1             3.28.0-1
                      gnome-terminal             3.26.2-1             3.28.0-1
               gnome-themes-standard3.22.3+16+gc092fc89-1                    -
                          gnome-todo             3.26.2-2  3.28.0+3+gf86f18d-1
                    gnome-tweak-tool             3.26.4-1                    -
                     gnome-user-docs           3.26.2.1-1             3.28.0-1
                    gnome-user-share  3.18.3+2+g7b451ae-1 3.27.90+3+g878737f-1
                 gnome-video-effects              0.4.3-1  0.4.3+13+g6867955-1
                               gnote             3.26.0-1             3.28.0-1
               gobject-introspection             1.54.1-1             1.56.0-1
       gobject-introspection-runtime             1.54.1-1             1.56.0-1
                              gpaste             3.26.0-1             3.28.0-1
                               grilo              0.3.4-1   0.3.4+7+gb144fe0-1
                       grilo-plugins              0.3.5-1  0.3.5+12+g7ecf4b2-1
           gsettings-desktop-schemas  3.24.1+3+ge869987-1  3.28.0+1+g85521dc-1
                              gspell              1.7.1-1              1.8.0-1
                           gst-libav             1.12.4-1             1.14.0-1
                     gst-plugins-bad             1.12.4-5             1.14.0-1
                    gst-plugins-base             1.12.4-1             1.14.0-1
               gst-plugins-base-libs             1.12.4-1             1.14.0-1
                    gst-plugins-good             1.12.4-2             1.14.0-1
                    gst-plugins-ugly             1.12.4-3             1.14.0-1
                          gst-python             1.12.4-1             1.14.0-1
                         gst-python2             1.12.4-1             1.14.0-1
                           gstreamer             1.12.4-1             1.14.0-1
                     gstreamer-vaapi             1.12.4-1             1.14.0-1
                              gthumb              3.6.0-1              3.6.1-1
                             gtk-doc               1.27-1               1.28-1
               gtk-update-icon-cache         3.22.28-1 3.22.29+4+gb485cf91b5-1
                                gtk3         3.22.28-1 3.22.29+4+gb485cf91b5-1
                      gtksourceview3             3.24.6-1             3.24.7-1
                           gucharmap             10.0.3-1 10.0.4+3+gf63a9d95-1
                                gvfs           1.34.2.1-1             1.36.0-2
                            gvfs-afc           1.34.2.1-1             1.36.0-2
                            gvfs-goa           1.34.2.1-1             1.36.0-2
                         gvfs-google           1.34.2.1-1             1.36.0-2
                        gvfs-gphoto2           1.34.2.1-1             1.36.0-2
                            gvfs-mtp           1.34.2.1-1             1.36.0-2
                            gvfs-nfs           1.34.2.1-1             1.36.0-2
                            gvfs-smb           1.34.2.1-1             1.36.0-2
                               iagno             3.26.1-1             3.28.0-1
                        jsonrpc-glib             3.26.1-2             3.28.0-1
                           libanjuta             3.26.0-1             3.28.0-1
                           libdazzle             3.26.3-1             3.28.0-1
                              libgdm           3.26.2.1-1             3.28.0-1
                            libgepub              0.5.2-1                0.6-1
              libgnome-games-support              1.2.3-1              1.4.1-1
                         libgnomekbd             3.26.0-1  3.26.0+5+g1c1b585-1
                            libgtop 2.38.0+1+g487e584a-2 2.38.0+13+gcab8791f-1
                         libgweather             3.26.1-1             3.28.1-1
               libnautilus-extension             3.26.2-3           3.28.0.1-1
                             libnice             0.1.14-1 0.1.14+70+gfb2f1f7-1
                             libsoup             2.60.3-1             2.62.0-1
                           lightsoff  3.26.0+2+g243e6e8-1  3.28.0+1+g2167aa4-1
                              mutter 3.26.2+43+g77dd1bf63-1           3.28.0-1
                            nautilus             3.26.2-3           3.28.0.1-1
                     nautilus-sendto              3.8.6-1  3.8.6+13+gff9b88f-1
              networkmanager-openvpn 1.8.1dev+10+ge4d8cda-2            1.8.2-1
                             nghttp2             1.30.0-1             1.31.0-1
                                orca          3.26.0-1 3.27.91+23+gc85e5a046-1
                               pango            1.40.14-2             1.42.0-1
                              polari             3.26.2-1  3.28.0+1+g76863ad-1
                     pygobject-devel             3.26.1-1             3.28.1-1
                      python-gobject             3.26.1-1             3.28.1-1
                     python2-gobject             3.26.1-1             3.28.1-1
                        seahorse 3.20.0+105+gb31e32fe-1 3.20.0+288+gce2340dc-1
                          swell-foop  3.26.0+8+g4ff76c8-1  3.28.0+2+g434fa58-1
                             sysprof             3.26.1-1             3.28.0-1
                       template-glib             3.26.1-2             3.28.0-1
                              totem 3.26.0+1+g4e309671-1 3.26.0+37+g84700147-1
                      totem-plparser             3.26.0-1 3.26.0+11+g0091a56-1
                                vala             0.38.8-1             0.40.0-1
                          vte-common 0.50.2+6+g7fe155b9-1             0.52.0-1
                                vte3 0.50.2+6+g7fe155b9-1             0.52.0-1
                          webkit2gtk             2.18.6-1             2.20.0-1
                                yelp             3.26.0-1             3.28.0-1
                          yelp-tools  3.18.0+1+g193c2bd-2             3.28.0-1
                            yelp-xsl             3.20.1-2             3.28.0-1
                              zenity             3.26.0-1             3.28.0-1
                  gnome-themes-extra                    -               3.28-1
                        gnome-tweaks                    -             3.28.0-1
                                 srt                    -              1.2.2-1

  • No issue, everything went smoothly
  • Yes there was an issue. I was able to resolve it myself.(Please post your solution)
  • Yes i am currently experiencing an issue due to the update. (Please post about it)

0 voters

Check if your mirror has already synced:


#2

Known issues and solutions

This is a wiki post; please edit as necessary.



#3

All good on an earlier install, and all good on a fresh install using the gnome-17.1.7-rc2-testing-x86_64 install media and converted to unstable.
One thing i noticed on both, is that Files doesn’t do anything anymore when right click Open as Administrator, but on text files Edit as Administrator works fine.
Settings crashes “randomly” when invoked from right click desktop, right after connecting a new device (tablet, Bluetooth or USB pen-drive) but opens fine right after that.
Seems that is a bit more resource hungry, but now much, while feels more responsive.
Cheers!


#4

For me Evolution won’t start after this update. For info the error is:

evolution
Another Evolution process may be unresponsive. System Error: Error calling StartServiceByName for org.gnome.evolution.dataserver.Source5:
GDBus.Error:org.freedesktop.DBus.Error.TimedOut: Failed to activate Service ‘org.gnome.evolution.dataserver.Source5’: Timed Out

Haven’t got time to troubleshoot it at the moment, but downgrading Evolution didn’t help either so it is probably the whole Gnome environment that needs to be cleared out.


#5

Forget it - it has come back to life now :confounded:


#6

The same here. It seems that nautilus-admin doesn’t work with folders in nautilus 3.28.
@Ste74?


#7

Is the same? Honestly not checked at now


#8

It seems the same. When right click on folders and “open as Administrator” I get:

unknown option --no-desktop

but on text files works without issues.


#9

What about if not use the open function in the menu ?
I see that: if i open a folder whit high privilege gnome ask me the admin psw and if i open a file with high privilege same result gnome ask me the admin password and i can modify …
Maybe nautilus-admin not need in 3.28 ?


#10

Exactly not needed,
I’m running 3.28 since it went testing in Arch its a fine release no problems


#11

Developer replied and released a new version (1.1.5).
@Ste74 could you upgrade nautilus-admin to 1.1.5?

It’s true! :slight_smile:


#12

Done :wink:


#13

Thank you!
It’s fixed in 1.1.5. :slight_smile:


#14

Found two issues on a budgie install:
//// First //// gnome-session is now listening on tcp ports at startup (picked in user ports range):

sudo ss -putan | grep -i gnome
tcp   LISTEN    0        128                                     0.0.0.0:37721               0.0.0.0:*          users:(("gnome-session-b",pid=6443,fd=12))      
tcp   LISTEN    0        128                                        [::]:43185                  [::]:*          users:(("gnome-session-b",pid=6443,fd=11))

$ ps -aux | grep -i 6443
yo        6443  0.0  0.0 552860 14552 ?        Ssl  02:38   0:00 /usr/lib/gnome-session-binary --session=budgie-desktop

$ yaourt -Qo /usr/lib/gnome-session-binary
/usr/lib/gnome-session-binary appartient à gnome-session 3.28.0-1

Most similar thing I’ve found is related to xtrans (installing xtrans doesn’t solve the issue):


https://git.gnome.org/browse/gnome-session/commit/gnome-session/gsm-xsmp-server.c?id=1ece66e683258a0bfa044d074becfe207d04a748

And xtrans is still in Pkgbuild:
https://git.archlinux.org/svntogit/packages.git/commit/?h=packages/gnome-session&id=92448f28ee3c8a867d042b5e9516f7ce3353a16d

For fun: 4chan thread about it: https://boards.4chan.org/g/thread/65244275

//// Second //// -> budgie-settings is broken:

mars 26 02:38:18 yo-gs systemd-coredump[6354]: Process 6298 (budgie-panel) of user 1000 dumped core.
mars 26 02:38:18 yo-gs systemd-coredump[6357]: Process 5138 (budgie-daemon) of user 1000 dumped core.

EDIT arch just made a commit related to Xtrans
https://git.archlinux.org/svntogit/packages.git/commit/?h=packages/gnome-session&id=e9db75c109a6fdb835945ad7cfc226dfc17557fb


#15

This topic was automatically closed 90 days after the last reply. New replies are no longer allowed.